Prompt Repository

List prompt versions

Returns all versions for a prompt.

GET
/api/prompt-repo/prompts/{id}/versions
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

idstring

Prompt ID

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/prompt-repo/prompts/string/versions"
{
  "versions": [
    {
      "id": 0,
      "prompt_id": "string",
      "version_number": 0,
      "commit_message": "string",
      "model_params": {},
      "provider": "string",
      "model": "string",
      "is_latest": true,
      "created_at": "2019-08-24T14:15:22Z",
      "messages": [
        {
          "id": 0,
          "order_index": 0,
          "message": {}
        }
      ]
    }
  ]
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings